PETSc version 3.17.4
Fix/Edit manual page

# VecRestoreKokkosView

Returns a Kokkos View gotten by VecGetKokkosView().

### Synopsis

    template<class MemorySpace> PetscErrorCode VecRestoreKokkosView(Vec,Kokkos::View<const PetscScalar*,MemorySpace>*)

### Synopsis

    #include <petscvec_kokkos.hpp>
    PetscErrorCode VecRestoreKokkosView  (Vec v,Kokkos::View<const PetscScalar*,MemorySpace>* kv);
    PetscErrorCode VecRestoreKokkosView  (Vec v,Kokkos::View<PetscScalar*,MemorySpace>* kv);

Logically Collective on Vec

### Input Parameters

| v | - the vector in type of VECKOKKOS
| kv | - the Kokkos View with a user-specified template parameter MemorySpace

### Notes

If the vector is not of type VECKOKKOS, an error will be raised. The functions are similar to VecRestoreArrayRead() and VecRestoreArray() respectively. They are the counterpart of VecGetKokkosView().

### See Also

VecGetKokkosView(), VecRestoreKokkosViewWrite(), VecRestoreArray(), VecGetArrayRead(), VecGetArrays(), VecGetArrayF90(), VecGetArrayReadF90(), VecPlaceArray(), VecGetArray2d(),
VecGetArrayPair(), VecRestoreArrayPair(), VecGetArrayWrite(), VecRestoreArrayWrite()

### Level

beginner

### Location

src/vec/vec/../../../include/petscvec_kokkos.hpp
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages